// EHashKeyProviderT.h: interface for the EHashKeyProviderT class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EHASHKEYPROVIDERT_H__34E84052_E109_11D2_9222_004005446EE6__INCLUDED_)
#define AFX_EHASHKEYPROVIDERT_H__34E84052_E109_11D2_9222_004005446EE6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

template<class KeyArg>
class EHashKeyProviderT  
{
public:
  EHashKeyProviderT() {}
  virtual ~EHashKeyProviderT() {}

  virtual UL getKey( KeyArg key ) const =0;

  virtual bool compareKey( KeyArg key1, KeyArg key2 ) const =0;
};


template<class KeyArg>
class EHashKeyProviderCastT  
{
public:
  EHashKeyProviderCastT() {}
  virtual ~EHashKeyProviderCastT() {}

  virtual UL getKey( KeyArg key ) const;

  virtual bool compareKey( KeyArg key1, KeyArg key2 ) const;
};


template<class KeyArg>
inline UL 
EHashKeyProviderCastT<KeyArg>::getKey( KeyArg key ) const
{
  return (UL)key;
}


template<class KeyArg>
inline bool 
EHashKeyProviderCastT<KeyArg>::compareKey( KeyArg key1, KeyArg key2 ) const
{
  return key1 == key2;
}

#endif // !defined(AFX_EHASHKEYPROVIDERT_H__34E84052_E109_11D2_9222_004005446EE6__INCLUDED_)
