// ###########################################################################
// File: ELOG.HPP
// (c)Copyright 10/1997, Lepilleur Baptiste (Aka Elyon from Zuul Design)
// version 0.1
// ###########################################################################


#ifndef ELOG_HPP_INCLUDED


// Includes:
// #####################Last change: 15/10/97 18h43mn#########################
#include "emiodevi.hpp"
#include "efile.hpp"
#include "efilestd.hpp"
#include "etextstr.hpp"

// Constantes:
// #####################Last change: 15/10/97 18h43mn#########################


// Macros:
// #####################Last change: 15/10/97 18h43mn#########################


// Types:
// #####################Last change: 15/10/97 18h43mn#########################

class ELog : public ETextStream
{
  public:
    ELog();
    ELog( const char *file );
    ~ELog();

    void setFilename( const char *file =0 );
    void close();
    void flush();
    void useStdErr( bool activ =true );
    bool useStdErr() const;

  private:
    void init();

    EMultiIODevice mMultiDev;
    EFile *mFile;
    EFileStd *mFileStderr;
};

// Globales:
// #####################Last change: 15/10/97 19h32mn#########################
extern ELog slog;

// inlines:
// #####################Last change: 15/10/97 18h43mn#########################
inline bool ELog::useStdErr() const
{
  return mFileStderr != 0;
}



#define ELOG_HPP_INCLUDED
#endif


// ############################# EOF ELOG.HPP ################################
// ############################# EOF ELOG.HPP ################################
// ############################# EOF ELOG.HPP ################################

