// //////////////////////////////////////////////////////////////////////////
// Header file CppUnit.h for class CppUnit
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/04/16
// //////////////////////////////////////////////////////////////////////////
#ifndef CPPUNIT_H
#define CPPUNIT_H

#include <cppunit/TestCase.h>
#include <cppunit/extensions/HelperMacros.h>

#include "TestTools/CollectionAsserter.h"

#define GAIACRTN_ASSERT(exp) CPPUNIT_ASSERT(exp)
#define GAIACRTN_FAIL(exp) CPPUNIT_FAIL(exp)
#define GAIACRTN_ASSERT_MESSAGE( message, exp ) CPPUNIT_ASSERT_MESSAGE( message, exp )


namespace Assert
{

template<>
struct stringizer<EString>
{
  static std::string toString( const EString &value )
  {
    return value.cstr();
  }
};

}  //  namespace Assert

#endif  // CPPUNIT_H
