// OnExitInstanceManager.cpp: implementation of the OnExitInstanceManager class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "OnExitInstanceManager.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

OnExitInstanceManager::OnExitInstanceManager()
{

}


OnExitInstanceManager::~OnExitInstanceManager()
{
}


OnExitInstanceManager &
OnExitInstanceManager::manager()
{
  static OnExitInstanceManager instance;
  return instance;
}


void 
OnExitInstanceManager::processOnExit()
{
  destroyFiles();
}


void 
OnExitInstanceManager::deleteFile( const CString &fileName )
{
  _fileToDestroy.push_back( fileName );
}


void 
OnExitInstanceManager::destroyFiles()
{
  for ( int index =0; index < _fileToDestroy.size(); ++index ) 
    CFile::Remove( _fileToDestroy[ index ] );
}
