// OnExitInstanceManager.h: interface for the OnExitInstanceManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ONEXITINSTANCEMANAGER_H__56D8F1DD_4AC4_4474_9C48_E00E533612D3__INCLUDED_)
#define AFX_ONEXITINSTANCEMANAGER_H__56D8F1DD_4AC4_4474_9C48_E00E533612D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <deque>

class OnExitInstanceManager  
{
public:
	OnExitInstanceManager();
	virtual ~OnExitInstanceManager();

  static OnExitInstanceManager &manager();

  void processOnExit();

  void deleteFile( const CString &fileName );

protected:
  void destroyFiles();

  std::deque<CString> _fileToDestroy;
};

#endif // !defined(AFX_ONEXITINSTANCEMANAGER_H__56D8F1DD_4AC4_4474_9C48_E00E533612D3__INCLUDED_)
