#if !defined(AFX_TABSAVINGSETTING_H__22005D73_9325_11D1_91DF_EDCF65456C61__INCLUDED_)
#define AFX_TABSAVINGSETTING_H__22005D73_9325_11D1_91DF_EDCF65456C61__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TabSavingSetting.h : header file
//

class TtrGlobalSetting;

/////////////////////////////////////////////////////////////////////////////
// CTabSavingSetting dialog

class CTabSavingSetting : public CPropertyPage
{
	DECLARE_DYNCREATE(CTabSavingSetting)

// Construction
public:
	CTabSavingSetting();
	~CTabSavingSetting();

  // set member datas according to TTR mode
  void SetMode( const TtrGlobalSetting& mode );
  // get TTR mode matching member datas 
	void GetMode( TtrGlobalSetting& mode ) const;

// Dialog Data
	//{{AFX_DATA(CTabSavingSetting)
	enum { IDD = IDD_MODE_SAVING_SETTING };
	BOOL	m_bJumpOneLine;
	int		m_nNbIndent;
	int		m_nIndentType;
	BOOL	_bRemoveEndingHyphen;
	int		_nWrappingCol;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTabSavingSetting)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTabSavingSetting)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  // position des radio boutons:
  enum 
  { 
    radioTabs = 0,
    radioSpaces,
    radioKeepOriginal
  };


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABSAVINGSETTING_H__22005D73_9325_11D1_91DF_EDCF65456C61__INCLUDED_)
