// TtrCommandLineInfo.h: interface for the TtrCommandLineInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TTRCOMMANDLINEINFO_H__18871292_5621_4837_9193_A84A17CB8CDB__INCLUDED_)
#define AFX_TTRCOMMANDLINEINFO_H__18871292_5621_4837_9193_A84A17CB8CDB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class TtrCommandLineInfo : public CCommandLineInfo  
{
public:
	TtrCommandLineInfo();
	virtual ~TtrCommandLineInfo();

  /*! Called by the framework.
   * \param lpszParam parameter name (prefix included)
   * \param bFlag \c true if the parameter was prefixed by '-' or '/'
   * \param bLast \c true if the parameter is the last parameter
   */
  virtual void ParseParam( LPCTSTR lpszParam, 
                           BOOL bFlag, 
                           BOOL bLast );

  bool shouldRunUnitTests() const;

  bool isDevEnvironmentRun() const;

private:
  bool _runUnitTests;
  bool _devEnvironmentRun;
};

#endif // !defined(AFX_TTRCOMMANDLINEINFO_H__18871292_5621_4837_9193_A84A17CB8CDB__INCLUDED_)
