// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrFmtIndentInfo.cpp for class TtrFmtIndentInfo
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/16
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrFmtIndentInfo.h"


TtrFmtIndentInfo::TtrFmtIndentInfo( SL nIndentLevel,
                                    const EString &strIndent ) :
    _nIndentLevel( nIndentLevel ),
    _strIndent( strIndent )
{
}


TtrFmtIndentInfo::TtrFmtIndentInfo( const TtrFmtIndentInfo &copy ) :
    _nIndentLevel( copy._nIndentLevel ),
    _strIndent( copy._strIndent )
{
}


TtrFmtIndentInfo::~TtrFmtIndentInfo()
{
}


TtrFmtIndentInfo &
TtrFmtIndentInfo::operator =( const TtrFmtIndentInfo &copy )
{
  _nIndentLevel = copy._nIndentLevel;
  _strIndent = copy._strIndent;

  return *this;
}


bool 
TtrFmtIndentInfo::operator ==( const TtrFmtIndentInfo &cmpTo ) const
{
  return _nIndentLevel == cmpTo._nIndentLevel  &&
         _strIndent == cmpTo._strIndent;
}


bool 
TtrFmtIndentInfo::operator !=( const TtrFmtIndentInfo &cmpTo ) const
{
  return !(*this == cmpTo);
}


