// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrFmtText.cpp for class TtrFmtText
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/14
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrFmtText.h"


TtrFmtText::TtrFmtText()
{
}


TtrFmtText::~TtrFmtText()
{
}


void 
TtrFmtText::addElt( TtrFmtEltPtr &ptrElt )
{
  if( !ptrElt )
    return;

  _vpElt.append( ptrElt.detach() );
}


void 
TtrFmtText::visit( TtrFmtEltVisitor &visitor )
{
  for ( int nIdx =0; nIdx < eltCount(); ++nIdx )
    eltAt( nIdx ).visit( visitor );
}


TtrFmtEltPtr 
TtrFmtText::takeEltAt( SL nIdx )
{
  if ( nIdx < 0  ||  nIdx >= _vpElt.count() )
    return TtrFmtEltPtr();
  return TtrFmtEltPtr( _vpElt.take( nIdx ) );
}


void 
TtrFmtText::removeAll()
{
  _vpElt.reset();
}
