#if !defined(AFX_DLGMODES_H__22005D70_9325_11D1_91DF_EDCF65456C61__INCLUDED_)
#define AFX_DLGMODES_H__22005D70_9325_11D1_91DF_EDCF65456C61__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgModes.h : header file
//

#include "TabModeAnalysis.h"
#include "TabEOS.h"
#include "TabSavingSetting.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgModes

class CDlgModes : public CPropertySheet
{
	DECLARE_DYNAMIC(CDlgModes)

// Construction
public:
	CDlgModes(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
  // set member datas according to TTR mode
  void SetMode( const TtrGlobalSetting& mode );
  // get TTR mode matching member datas 
	void GetMode( TtrGlobalSetting& mode) const;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgModes)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDlgModes();

	// Generated message map functions
protected:
	void init();
	//{{AFX_MSG(CDlgModes)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CTabModeAnalysis m_tabModeAnalysis;
	CTabEOS m_tabModeEOS;
	CTabSavingSetting m_tabSavingSetting;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGMODES_H__22005D70_9325_11D1_91DF_EDCF65456C61__INCLUDED_)
