// //////////////////////////////////////////////////////////////////////////
// Header file Stringable.h for class Stringable
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef STRINGABLE_H
#define STRINGABLE_H

#include <string>


/*! \class Stringable
 * \brief This class represents an abstract interface to convert object to string for debugging purpose.
 */
class Stringable
{
public:
  /// Destructor.
  virtual ~Stringable() {}

  virtual std::string toString() =0;
};



// Inlines methods for Stringable:
// -------------------------------



#endif  // STRINGABLE_H
