// TtrButtonComposite.cpp : implementation file
//

#include "stdafx.h"
#include "TtrButtonComposite.h"
#include "TtrDlgTextComposite.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// TtrButtonComposite

TtrButtonComposite::TtrButtonComposite() :
    _pDlg( NULL )
{
}

TtrButtonComposite::~TtrButtonComposite()
{
}


BEGIN_MESSAGE_MAP(TtrButtonComposite, CButton)
	//{{AFX_MSG_MAP(TtrButtonComposite)
	ON_WM_LBUTTONUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// TtrButtonComposite message handlers


void 
TtrButtonComposite::setDlg( TtrDlgTextComposite *pDlg )
{
  _pDlg = pDlg;
}


void 
TtrButtonComposite::OnLButtonUp(UINT nFlags, CPoint point) 
{
	CButton::OnLButtonUp(nFlags, point);

  if ( _pDlg  &&  GetCheck() != 2 )
    _pDlg->buttonCompositeStateChanged( GetCheck() == 1 );
}
