// TtrCommandLineInfo.cpp: implementation of the TtrCommandLineInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TtrCommandLineInfo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TtrCommandLineInfo::TtrCommandLineInfo() :
    _runUnitTests( false ),
    _devEnvironmentRun( false )
{
}


TtrCommandLineInfo::~TtrCommandLineInfo()
{
}


void 
TtrCommandLineInfo::ParseParam( LPCTSTR lpszParam, 
                                BOOL bFlag, 
                                BOOL bLast )
{
  if ( bFlag )
  {
    CString flagName( lpszParam );
    if ( flagName.CompareNoCase( "unittest" ) == 0 )
    {
      _runUnitTests = true;
      return;
    } 
    else if ( flagName.CompareNoCase( "devenv" ) == 0 )
    { 
      _devEnvironmentRun = true;
      return;
    }
  }
  CCommandLineInfo::ParseParam( lpszParam, bFlag, bLast );
}


bool
TtrCommandLineInfo::shouldRunUnitTests() const
{
  return _runUnitTests;
}


bool 
TtrCommandLineInfo::isDevEnvironmentRun() const
{
  return _devEnvironmentRun;
}
