// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrTagDef.cpp for class TtrTagDef
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/10
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrTagDef.h"
#include "TtrTagManager.h"


ESymbolId TtrTagDef::sidTagCenter;



TtrTagDef::TtrTagDef()
{
}


TtrTagDef::~TtrTagDef()
{
}


void 
TtrTagDef::setup()
{
#undef SETSYMB
/*! Define a symbol.
 * @param sidName Variable that contains the id of the symbol.
 * @param strSymbol Name of the symbol.
 */
#define SETSYMB( sidName, strSymbol ) \
     sidName = TtrTagManager::manager().symbolId( strSymbol );

  SETSYMB( sidTagCenter, "center" );
}
