// TtrTagManager.cpp: implementation of the TtrTagManager class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TtrTagManager.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

EAutoPtrT<TtrTagManager> TtrTagManager::_ptrManager;



TtrTagManager::TtrTagManager()
{
}


TtrTagManager::~TtrTagManager()
{
}


TtrTagRef 
TtrTagManager::getTag( const EString &strTagName,
                       const TtrTagAttListRef &refAttList,
                       bool bIsEngineDefined )
{
  // Naive implementation. Should store created tag for sharing...
  return new TtrTag( strTagName, refAttList, bIsEngineDefined );
}


ESymbolId 
TtrTagManager::symbolId( const EString &strSymbol )
{
  return _symbolIdHolder.symbolId( strSymbol );
}


const EString &
TtrTagManager::symbolName( ESymbolId idSymbol )
{
  return _symbolIdHolder.symbolName( idSymbol );
}


TtrTagRef 
TtrTagManager::getTag( const ESymbolId sidTag,
                       const TtrTagAttListRef &refAttList,
                       bool bIsEngineDefined )
{
  return getTag( symbolName( sidTag ), refAttList, bIsEngineDefined );
}
