
// TtrTextLineFormat.h: interface for the TtrTextLineFormat class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TTRTEXTLINEFORMAT_H__74C8FB57_D55B_4392_845C_E76AD41C7AF2__INCLUDED_)
#define AFX_TTRTEXTLINEFORMAT_H__74C8FB57_D55B_4392_845C_E76AD41C7AF2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TestTools/Stringable.h"

class TtrTextLineFormat : public Stringable
{
public:
	TtrTextLineFormat();
	virtual ~TtrTextLineFormat();

  bool isCentered() const;
  TtrTextLineFormat &centerOn();
  TtrTextLineFormat &centerOff();

  std::string toString();

private:
  bool _isCentered;
};


bool operator ==( const TtrTextLineFormat &format1,
                  const TtrTextLineFormat &format2 );
bool operator !=( const TtrTextLineFormat &format1,
                  const TtrTextLineFormat &format2 );

#endif // !defined(AFX_TTRTEXTLINEFORMAT_H__74C8FB57_D55B_4392_845C_E76AD41C7AF2__INCLUDED_)
